# VL Anwendungsorientierte Analyseverfahren, Institut für Publizistik, Uni Mainz
# 2024-07-03

## Pakete und Daten laden

library(performance)
library(see)
library(report)
library(tidyverse)
theme_set(theme_minimal())

vanerkel21 <- haven::read_sav("data/Vanerkel_Vanaelst_2021.sav") |>
  mutate(
    Education = as_factor(Education),
    Gender = as_factor(Gender)
  ) |>
  haven::zap_labels()

vanerkel21

## Regressionsmodell

m1 <- lm(PK ~ Gender + Age + Education + Political_interest, data = vanerkel21)
report::report_table(m1)

## Annahmen

checks <- performance::check_model(m1, panel = F)
plot(checks)

## ?performance::check_model

